var table ;
$().ready(function() {
	var namespace = contextPath+"/contrato/condicionesLicense/"
	table = $("#dyn1").dynTable({
		url: namespace + 'buscarSuscriptoresConLicense.action',
		ajaxData : {
			"idContrato" : $("#idContrato").val() 
		},
		lazyInit : true,
		prefix : 'condiciones.rango',
		root : 'condiciones.rango',
		colModel : [
		            {header:"Desde",name:"desde",digit:true,required:true},
		            {header:"Hasta",name:"hasta",digit:true,required:true},
		            {header:"Monto",name:"monto",digit:true,required:true}
		            ],
		dyn : isEditable(),
        edit : isEditable(),
        dateFormatIn:"yy-mm-dd",
        dateFormatOut:"mm/dd/yy"
	});
	
	initValidation();
	openCloseSections();
	disableInptus();
});


function initValidation() {
	$("#idForm").validate({
		rules : {
			"condiciones.tipoCondicion" : {
				required : true
			},
			"condiciones.tipoPeriodoPago" : {
				required : true
			},
			"condiciones.tipoAnio" : {
				required : function (){
						if ($('input[name=condiciones\\.tipoCondicion]:checked').val() == 'ANNIO') { return  true; } 
				        else { return false;}} 
			}
		}
	});
}


function openCloseSections()
{
	if ($('input[name=condiciones\\.tipoCondicion]:checked').val() == 'ANNIO') { 
		$("#anioDiv").show();
		$("#suscripDiv").hide();
		table.eraseTabel();
	} 
	else if ($('input[name=condiciones\\.tipoCondicion]:checked').val() == 'SUSCRIPTOR')
	{
		$("#suscripDiv").show();
		$("#anioDiv").hide();
		$("#tAnio").val('');
		table.init();
	}
	else
	{
		$("#suscripDiv").hide();
		$("#anioDiv").hide();
	}
}

function disableInptus()
{
	
	if($("#estatusContrato").val()!='1')
	{
		//desabilitar algun boton si es necesario
		$("#idForm input").prop("readOnly", true);
		$("#idForm select").prop("readOnly", true);
		$("#idForm select").attr("disabled", true);
		$(':radio:not(:checked)').attr('disabled', true);
		$( "#uploadBtn" ).prop( "disabled", true );
		$( "#guardarBtn" ).prop( "disabled", true );
		
		$(".datepicker").removeClass("datepicker");
		$(".hasDatepicker").removeClass("hasDatepicker");
	}
}

function isEditable()
{
	return $("#estatusContrato").val()=='1';
}